AIB_COMPUTE_DIE_TYPE =1
AIB_MCU_DIE_TYPE     =2
AIB_PCIE_DIE_TYPE    =3
AIB_CHIP_NOT_PRESENT =255

#for AIB read write
AIB_QSPI = 0x50010000
CTRL   = 0x0
IR     = 0x4
AR     = 0x8
DR     = 0xC 
ENR    = 0x10
SR     = 0x14
ISR    = 0x18
ISRMASK  = 0x1c
TOR      = 0x20
SER      = 0x24
AUX0R    = 0x30
AUX1R    = 0x34

AIB_RDI_CDIE_LINK_ADDR = 0x80000
AIB_RDI_CDIE_LINK_SIZE = 0x80000

AIB_RDI_CDIE_PHY_ADDR  = 0x0
AIB_RDI_CDIE_PHY_SIZE  = 0x8000

AIB_RDI_IODIE_PHY_ADDR = 0x100000
AIB_RDI_IODIE_PHY_SIZE = 0x80000


# Macro ID Registers */
RX_CMN_PID_TYPE  = 0b011100000000000
RX_CMN_PID_NUM   = 0b011100000001100
RX_CMN_PID_REV   = 0b011100000010000
RX_CMN_PID_MFG   = 0b011100000100000
RX_CMN_PID_NODE  = 0b011100000100100
RX_CMN_PID_FLV0  = 0b011100000101000
RX_CMN_PID_FLV1  = 0b011100000101100
RX_CMN_PID_OR    = 0b011100000110000
RX_CMN_PID_LANES = 0b011100000110100

# Startup State Machine Registers */
RX_CMN_SSM_SM_CTRL       = 0b011100010000000
RX_CMN_SSM_BANDGAP_TMR   = 0b011100010000100
RX_CMN_SSM_BIAS_TMR      = 0b011100010001000
RX_CMN_SSM_USER_DEF_CTRL = 0b011100010011100

# Lane Power State Machine Registers */
RX_CMN_LPSM_CTRL          = 0b011100100000000
RX_CMN_LPSM_RCTRL         = 0b011100100000100
RX_CMN_LPSM_CALIN_TMR     = 0b011100100001000
RX_CMN_LPSM_A0IN_TMR      = 0b011100100001100
RX_CMN_LPSM_A0BYP_TMR     = 0b011100100010000
RX_CMN_LPSM_A1IN_TMR      = 0b011100100010100
RX_CMN_LPSM_CALOUT_TMR    = 0b011100100101000
RX_CMN_LPSM_A0OUT_TMR     = 0b011100100101100
RX_CMN_LPSM_A1OUT_TMR     = 0b011100100110000
RX_CMN_LPSM_RDY_TMR       = 0b011100101000100
RX_CMN_LPSM_DIAG          = 0b011100101001000
RX_CMN_LPSM_ST_0          = 0b011100101001100
RX_CMN_LPSM_ST_1          = 0b011100101010000
RX_CMN_LPSM_USER_DEF_CTRL = 0b011100101111100

# Bandgap Calibration Controller Registers */
RX_CMN_BGCAL_CTRL     = 0b011100110000000
RX_CMN_BGCAL_OVRD     = 0b011100110000100
RX_CMN_BGCAL_START    = 0b011100110001000
RX_CMN_BGCAL_TUNE     = 0b011100110001100
RX_CMN_BGCAL_INIT_TMR = 0b011100110010000
RX_CMN_BGCAL_ITER_TMR = 0b011100110010100

# Common Clock Measurement Module Registers */
RX_CMN_CMSMT_CLK_FREQ_MSMT_CTRL = 0b011100111100000
RX_CMN_CMSMT_TEST_CLK_SEL       = 0b011100111100100
RX_CMN_CMSMT_REF_CLK_TMR_VALUE  = 0b011100111101000
RX_CMN_CMSMT_TEST_CLK_CNT_VALUE = 0b011100111101100

# Common Control And Diagnostics Registers */
RX_CMN_DIAG_BANDGAP_CTRL        = 0b011101110000000
RX_CMN_DIAG_CLK_DRV_CTRL        = 0b011101110000100
RX_CMN_DIAG_REF_CLK_CTRL        = 0b011101110001000
RX_CMN_DIAG_ANA_OVRD            = 0b011101110100000
RX_CMN_DIAG_LINK_SIG_CTRL       = 0b011101111000000
RX_CMN_DIAG_LINK_CTRL_WATCHDOG  = 0b011101111000100
RX_CMN_DIAG_LPSM_CAL_MCSM       = 0b011101111001000
RX_CMN_DIAG_LPSM_A0E_MCSM       = 0b011101111001100
RX_CMN_DIAG_ISO_CTRL            = 0b011101111010000
RX_CMN_DIAG_ISO_STAT            = 0b011101111010100
RX_CMN_DIAG_ISO_DATA            = 0b011101111011000
RX_CMN_DIAG_ATB_CTRL            = 0b011101111100000
RX_CMN_DIAG_ADC_CTRL            = 0b011101111100100
RX_CMN_DIAG_LPSM_A0EP_MCSM_CTRL = 0b011101111101000
RX_CMN_DIAG_LPSM_A0ES_MCSM_CTRL = 0b011101111101100
RX_CMN_DIAG_CAL_PAUSE           = 0b011101111110000
RX_CMN_CDIAG_RST_DIAG           = 0b011101111110100
RX_CMN_DIAG_DCYA                = 0b011101111111000
RX_CMN_DIAG_ACYA                = 0b011101111111100

# Data Path Link Registers */
RX_LINK_CTRL           = 0b011110000000000
RX_K_CHAR_DET          = 0b011110000000100
RX_DEC_ERR_DET         = 0b011110000001000
RX_LINK_BIST_CTRL      = 0b011110001000000
RX_LINK_BIST_ERR_MASK0 = 0b011110001000100
RX_LINK_BIST_ERR_MASK1 = 0b011110001001000
RX_LINK_BIST_ERR_MASK2 = 0b011110001001100
RX_LINK_BIST_ERR_MASK3 = 0b011110001010000
RX_LINK_BIST_ERR_MASK4 = 0b011110001010100
RX_LINK_BIST_ERR_MASK5 = 0b011110001011000
RX_LINK_BIST_ERR_CNT   = 0b011110001011100

# Data Path Lane Registers */
RX_DES_DATA_CAPTURE_CTRL  = 0b100000001000000
RX_DES_DATA_CAPTURE_VAL   = 0b100000001000100
RX_LANE_BIST_CTRL         = 0b000000001010000 # only for lane 0
RX_LANE_BIST_UDDWR        = 0b000000001010100
RX_LANE_BIST_ERR_MASK     = 0b000000001011000
RX_LANE_BIST_ERR_CNT      = 0b000000001011100 # only for lane 0
RX_LANE_BIST_WORD_CNT     = 0b000000001100000
RX_LANE_BIST_BIT_ERR_CNT0 = 0b000000001100100
RX_LANE_BIST_BIT_ERR_CNT1 = 0b000000001101000
RX_LANE_BIST_BIT_ERR_CNT2 = 0b000000001101100
RX_LANE_BIST_BIT_ERR_CNT3 = 0b000000001110000

# PI ILL Coarse Calibration Registers */
RX_ILL_C_CAL_CTRL         = 0b100000101000000
RX_ILL_C_CAL_START        = 0b100000101000100
RX_ILL_C_CAL_TCTRL        = 0b100000101001000
RX_ILL_C_CAL_OVRD         = 0b100000100001100
RX_ILL_C_CAL_INIT_TMR     = 0b100000100010000
RX_ILL_C_CAL_ITER_TMR     = 0b100000101010100
RX_ILL_C_CAL_REFTIM_START = 0b100000100011000
RX_ILL_C_CAL_FBCNT_START  = 0b100000100100000

# Sampler Static Offset Calibration Registers */
RX_SSO_CTRL    = 0b100000110000000
RX_SSO_TMR     = 0b100000110000100
RX_SSO_ACC     = 0b100000110001000
RX_SSO_CODE_S0 = 0b100000111000000
RX_SSO_CODE_S1 = 0b100000111000100
RX_SSO_CODE_S2 = 0b100000111001000
RX_SSO_CODE_S3 = 0b100000111001100
RX_SSO_CODE_S4 = 0b100000111010000
RX_SSO_CODE_S5 = 0b100000111010100
RX_SSO_CODE_S6 = 0b100000111011000
RX_SSO_CODE_S7 = 0b100000111011100
RX_SSO_CODE_SX = 0b100000111100000

# Sampler Dynamic Offset Calibration Registers */
RX_SDO_CTRL = 0b100001000000000
RX_SDO_OVRD = 0b100001000000100
RX_SDO_DIAG = 0b000001000001000

# RX Front End Bias Calibration Control Registers */
RX_FEB_CAL_CTRL = 0b100001010000000
RX_FEB_CAL_TMR  = 0b100001010000100
RX_FEB_CAL_ACC  = 0b100001010001000
RX_FEB_CAL_CODE = 0b100001011000000

# Analog Control And Calibration Control And Diagnostic Registers */
RX_ACC_DIAG_ANA_OVRD     = 0b100001110000000
RX_ACC_DIAG_CDRLF_CTRL   = 0b100001110000100
RX_ACC_DIAG_CDRLF_DIAG   = 0b100001110001000
RX_ACC_DIAG_SDO_TIMER    = 0b100001110001100
RX_ACC_DIAG_PI_SCC_CTRL  = 0b100001110010100
RX_ACC_DIAG_CDRLF_CCCTRL = 0b100001110010000
RX_ACC_DIAG_PI_SCC_CTRL  = 0b100001110010100
RX_ACC_DIAG_PI_SCC_CFG0X = 0b100001110011000
RX_ACC_DIAG_PI_SCC_CFG1  = 0b100001110011100
RX_ACC_DIAG_PI_SCC_CFG2  = 0b100001110100000
RX_ACC_DIAG_PI_SCC_CFG3  = 0b100001110100100
RX_ACC_DIAG_PI_SCC_CFG4  = 0b100001110101000
RX_ACC_DIAG_PI_SCC_CFG5  = 0b100001110101100
RX_ACC_DIAG_PI_SCC_CFG6  = 0b100001110110000
RX_ACC_DIAG_PI_SCC_CFG7  = 0b100001110110100
RX_ACC_DIAG_PI_TUNE1     = 0b100001111000000
RX_ACC_DIAG_PI_TUNE2     = 0b100001111000100
RX_ACC_DIAG_FE_TUNE      = 0b100001111001000
RX_ACC_DIAG_FE_EQ_TUNE   = 0b100001111001100
RX_ACC_DIAG_GPANA_OUT    = 0b100001111010100
RX_ACC_DIAG_GPANA_IN     = 0b100001111011000
RX_ACC_DIAG_DATA_CAPT_1  = 0b100001111011100
RX_ACC_DIAG_DATA_CAPT_2  = 0b100001111100000
RX_ACC_DIAG_CAL_PAUSE    = 0b100001111110000
RX_ACC_DIAG_ACYA         = 0b100001111111100
RX_ACC_DIAG_RST_DIAG     = 0b100001111110100
RX_ACC_DIAG_DCYA         = 0b100001111111000
RX_ILL_F_CAL_OVRD         = 0b100000101001100
RX_ILL_F_CAL_INIT_TMR     = 0b100000101010100
RX_ILL_F_CAL_REFTIM_START = 0b100000101011000
RX_ILL_F_CAL_FBCNT_START  = 0b100000101100000
RX_ILL_F_CAL_START        = 0b100000101000100
RX_ILL_F_CAL_CTRL         = 0b000000101000000

# Macro ID Registers */
TX_CMN_PID_TYPE  = 0b011100000000000
TX_CMN_PID_NUM   = 0b011100000001100
TX_CMN_PID_REV   = 0b011100000010000
TX_CMN_PID_MFG   = 0b011100000100000
TX_CMN_PID_NODE  = 0b011100000100100
TX_CMN_PID_FLV0  = 0b011100000101000
TX_CMN_PID_FLV1  = 0b011100000101100
TX_CMN_PID_OR    = 0b011100000110000
TX_CMN_PID_LANES = 0b011100000110100

# Startup State Machine Registers */
TX_CMN_SSM_SM_CTRL       = 0b011100010000000
TX_CMN_SSM_BANDGAP_TMR   = 0b011100010000100
TX_CMN_SSM_BIAS_TMR      = 0b011100010001000
TX_CMN_SSM_USER_DEF_CTRL = 0b011100010011100

# Data Rate PLL Control State Machine Registers */
TX_CMN_PLLDSM_SM_CTRL       = 0b011100010100000
TX_CMN_PLLDSM_PLLEN_TMR     = 0b011100010100100
TX_CMN_PLLDSM_PLLPRE_TMR    = 0b011100010101000
TX_CMN_PLLDSM_PLLVREF_TMR   = 0b011100010101100
TX_CMN_PLLDSM_PLLLOCK_TMR   = 0b011100010110000
TX_CMN_PLLDSM_PLLCLKDIS_TMR = 0b011100010110100
TX_CMN_PLLDSM_USER_DEF_CTRL = 0b011100010111100

# Calibration And BIST PI Control State Machine Registers */
TX_CMN_CBPISM_SM_CTRL       = 0b011100011000000
TX_CMN_CBPISM_PLLEN_TMR     = 0b011100011000100
TX_CMN_CBPISM_PLLPRE_TMR    = 0b011100011001000
TX_CMN_CBPISM_PLLVREF_TMR   = 0b011100011001100
TX_CMN_CBPISM_PLLLOCK_TMR   = 0b011100011010000
TX_CMN_CBPISM_PLLCLKDIS_TMR = 0b011100011010100
TX_CMN_CBPISM_USER_DEF_CTRL = 0b011100011011100

# Lane Power State Machine Registers */
TX_CMN_LPSM_CTRL          = 0b011100100000000
TX_CMN_LPSM_RCTRL         = 0b011100100000100
TX_CMN_LPSM_CALIN_TMR     = 0b011100100001000
TX_CMN_LPSM_A0IN_TMR      = 0b011100100001100
TX_CMN_LPSM_A0BYP_TMR     = 0b011100100010000
TX_CMN_LPSM_A1IN_TMR      = 0b011100100010100
TX_CMN_LPSM_CALOUT_TMR    = 0b011100100101000
TX_CMN_LPSM_A0OUT_TMR     = 0b011100100101100
TX_CMN_LPSM_A1OUT_TMR     = 0b011100100110000
TX_CMN_LPSM_RDY_TMR       = 0b011100101000100
TX_CMN_LPSM_DIAG          = 0b011100101001000
TX_CMN_LPSM_ST_0          = 0b011100101001100
TX_CMN_LPSM_ST_1          = 0b011100101010000
TX_CMN_LPSM_USER_DEF_CTRL = 0b011100101111100

# Bandgap Calibration Controller Registers */
TX_CMN_BGCAL_CTRL     = 0b011100110000000
TX_CMN_BGCAL_OVRD     = 0b011100110000100
TX_CMN_BGCAL_START    = 0b011100110001000
TX_CMN_BGCAL_TUNE     = 0b011100110001100
TX_CMN_BGCAL_INIT_TMR = 0b011100110010000
TX_CMN_BGCAL_ITER_TMR = 0b011100110010100

# Data Rate PLL Control And Diagnostic Registers */
TX_CMN_PLLD_VCOCAL_CTRL         = 0b011101000000000
TX_CMN_PLLD_VCOCAL_START        = 0b011101000000100
TX_CMN_PLLD_VCOCAL_TCTRL        = 0b011101000001000
TX_CMN_PLLD_VCOCAL_OVRD         = 0b011101000001100
TX_CMN_PLLD_VCOCAL_INIT_TMR     = 0b011101000010000
TX_CMN_PLLD_VCOCAL_ITER_TMR     = 0b011101000010100
TX_CMN_PLLD_VCOCAL_REFTIM_START = 0b011101000011000
TX_CMN_PLLD_VCOCAL_PLLCNT_START = 0b011101000100000
TX_CMN_PLLD_LOCK_REFCNT_START   = 0b011101001000000
TX_CMN_PLLD_LOCK_REFCNT_IDLE    = 0b011101001000100
TX_CMN_PLLD_LOCK_PLLCNT_START   = 0b011101001001000
TX_CMN_PLLD_LOCK_PLLCNT_THR     = 0b011101001001100
TX_CMN_PLLD_FB                  = 0b011101001100000
TX_CMN_PLLD_CP_ADJ              = 0b011101001100100
TX_CMN_PLLD_TUNE_1              = 0b011101001101000
TX_CMN_PLLD_TUNE_2              = 0b011101001101100

# Calibration And BIST PI ILL Coarse Calibration Registers */
TX_CMN_ILL_C_CAL_CTRL         = 0b011101010000000
TX_CMN_ILL_C_CAL_START        = 0b011101010000100
TX_CMN_ILL_C_CAL_TCTRL        = 0b011101010001000
TX_CMN_ILL_C_CAL_OVRD         = 0b011101010001100
TX_CMN_ILL_C_CAL_INIT_TMR     = 0b011101010010000
TX_CMN_ILL_C_CAL_ITER_TMR     = 0b011101010010100
TX_CMN_ILL_C_CAL_REFTIM_START = 0b011101010011000
TX_CMN_ILL_C_CAL_FBCNT_START  = 0b011101010100000

# Calibration And BIST PI ILL Fine Calibration Registers */
TX_CMN_ILL_F_CAL_CTRL         = 0b011101011000000
TX_CMN_ILL_F_CAL_START        = 0b011101011000100
TX_CMN_ILL_F_CAL_TCTRL        = 0b011101011001000
TX_CMN_ILL_F_CAL_OVRD         = 0b011101011001100
TX_CMN_ILL_F_CAL_INIT_TMR     = 0b011101011010000
TX_CMN_ILL_F_CAL_ITER_TMR     = 0b011101011010100
TX_CMN_ILL_F_CAL_REFTIM_START = 0b011101011011000
TX_CMN_ILL_F_CAL_FBCNT_START  = 0b011101011100000

# Common Clock Measurement Module Registers */
TX_CMN_CMSMT_CLK_FREQ_MSMT_CTRL = 0b011100111100000
TX_CMN_CMSMT_TEST_CLK_SEL       = 0b011100111100100
TX_CMN_CMSMT_REF_CLK_TMR_VALUE  = 0b011100111101000
TX_CMN_CMSMT_TEST_CLK_CNT_VALUE = 0b011100111101100

# Common Control And Diagnostics Registers */
TX_CMN_DIAG_BANDGAP_CTRL        = 0b011101110000000
TX_CMN_DIAG_CLK_DRV_CTRL        = 0b011101110000100
TX_CMN_DIAG_REF_CLK_CTRL        = 0b011101110001000
TX_CMN_DIAG_CBPI_TUNE1          = 0b011101110001100
TX_CMN_DIAG_CBPI_CCTRL          = 0b011101110010000
TX_CMN_DIAG_CBPI_BUMP_CTRL      = 0b011101110010100
TX_CMN_DIAG_CBPI_TUNE2          = 0b011101110011000
TX_CMN_DIAG_ANA_OVRD            = 0b011101110100000
TX_CMN_DIAG_PLL_PI_CTRL_STATE   = 0b011101110111100
TX_CMN_DIAG_LINK_SIG_CTRL       = 0b011101111000000
TX_CMN_DIAG_LINK_CTRL_WATCHDOG  = 0b011101111000100
TX_CMN_DIAG_LPSM_CAL_MCSM       = 0b011101111001000
TX_CMN_DIAG_LPSM_A0E_MCSM       = 0b011101111001100
TX_CMN_DIAG_ISO_CTRL            = 0b011101111010000
TX_CMN_DIAG_ISO_STAT            = 0b011101111010100
TX_CMN_DIAG_ISO_DATA            = 0b011101111011000
TX_CMN_DIAG_ATB_CTRL            = 0b011101111100000
TX_CMN_DIAG_ADC_CTRL            = 0b011101111100100
TX_CMN_DIAG_LPSM_A0EP_MCSM_CTRL = 0b011101111101000
TX_CMN_DIAG_LPSM_A0ES_MCSM_CTRL = 0b011101111101100
TX_CMN_DIAG_CAL_PAUSE           = 0b011101111110000
TX_CMN_CDIAG_RST_DIAG           = 0b011101111110100
TX_CMN_DIAG_DCYA                = 0b011101111111000
TX_CMN_DIAG_ACYA                = 0b011101111111100

# Data Path Link Registers */
TX_RX_CAL_PATTERN1_0     = 0b011110000000000
TX_RX_CAL_PATTERN1_1     = 0b011110000000100
TX_RX_CAL_PATTERN1_2     = 0b011110000001000
TX_RX_CAL_PATTERN1_3     = 0b011110000001100
TX_RX_CAL_PATTERN2_0     = 0b011110000010000
TX_RX_CAL_PATTERN2_1     = 0b011110000010100
TX_RX_CAL_PATTERN2_2     = 0b011110000011000
TX_RX_CAL_PATTERN2_3     = 0b011110000011100
TX_RX_CAL_PATTERN3_0     = 0b011110000100000
TX_RX_CAL_PATTERN3_1     = 0b011110000100100
TX_RX_CAL_PATTERN3_2     = 0b011110000101000
TX_RX_CAL_PATTERN3_3     = 0b011110000101100
TX_RX_CAL_PATTERN4_0     = 0b011110000110000
TX_RX_CAL_PATTERN4_1     = 0b011110000110100
TX_RX_CAL_PATTERN4_2     = 0b011110000111000
TX_RX_CAL_PATTERN4_3     = 0b011110000111100
TX_RX_CAL_PATTERN5_0     = 0b011110001000000
TX_RX_CAL_PATTERN5_1     = 0b011110001000100
TX_RX_CAL_PATTERN5_2     = 0b011110001001000
TX_RX_CAL_PATTERN5_3     = 0b011110001001100
TX_LINK_CTRL             = 0b011110001010000
TX_CLK_CAL_DCC_PATTERN0  = 0b011110001010100
TX_CLK_CAL_DCC_PATTERN1  = 0b011110001011000
TX_CLK_CAL_DCC_PATTERN2  = 0b011110001011100
TX_CLK_CAL_DCC_PATTERN3  = 0b011110001100000
TX_CLK_CAL_DLY_PATTERN0  = 0b011110001100100
TX_CLK_CAL_DLY_PATTERN1  = 0b011110001101000
TX_CLK_CAL_DLY_PATTERN3  = 0b011110001101100
TX_ENC_CFG               = 0b011110001110000
TX_LINK_BIST_CTRL        = 0b011110010000000
TX_LPBK_BIST_CTRL        = 0b011110010000100
TX_LPBK_BIST_MASK0       = 0b011110010001000
TX_LPBK_BIST_MASK1       = 0b011110010001100
TX_LPBK_BIST_MASK2       = 0b011110010010000
TX_LPBK_BIST_MASK3       = 0b011110010010100
TX_LPBK_BIST_PRBS_ARRAY0 = 0b011110010011000
TX_LPBK_BIST_PRBS_ARRAY1 = 0b011110010011100
TX_LPBK_BIST_PRBS_ARRAY2 = 0b011110010100000
TX_LPBK_BIST_PRBS_ARRAY3 = 0b011110010100100

# Data Path Lane Registers */
TX_LANE_BIST_CTRL  = 0b000000000000000
TX_LANE_BIST_UDDWR = 0b000000000000100

# TX BIST Sampler Latch Calibration Registers */
TX_BIST_SLC_CTRL = 0b100000100000000
TX_BIST_SLC_TMR  = 0b100000100000100
TX_BIST_SLC_ACC  = 0b100000100001000
TX_BIST_SLC_CODE = 0b100000101000000

# TX Clock Calibration Registers */
TX_CLK_CAL_CTRL              = 0b100000110000000
TX_CLK_CAL_TMR               = 0b100000110000100
TX_CLK_CAL_ACC               = 0b100000110001000
TX_CLK_CAL_DCC_CFG0          = 0b100000110100000
TX_CLK_CAL_DCC_CFG1          = 0b100000110100100
TX_CLK_CAL_DLY_CFG0          = 0b100000110101000
TX_CLK_CAL_DLY_CFG1          = 0b100000110101100
TX_CLK_CAL_DLY_CFG2          = 0b100000110110000
TX_CLK_CAL_TUNE              = 0b100000110110100
TX_CLK_CAL_DLY_OUT_OVRD      = 0b100000110111000
TX_CLK_DCC_CAL_CODE_CLKP0    = 0b100000111000000
TX_CLK_DCC_CAL_CODE_CLKP1    = 0b100000111000100
TX_CLK_DCC_CAL_CODE_CLKP2    = 0b100000111001000
TX_CLK_DCC_CAL_CODE_CLKP3    = 0b100000111001100
TX_CLK_DLY_CAL_CODE_CLKP02   = 0b100000111010000
TX_CLK_DLY_CAL_CODE_CLKP13   = 0b100000111010100
TX_CLK_DLY_CAL_CODE_CLKP0213 = 0b100000111011000

# Analog Control And Calibration Control And Diagnostic Registers */
TX_ACC_DIAG_ANA_OVRD     = 0b100001110000000
TX_ACC_DIAG_DRV_CTRL     = 0b100001110000100
TX_ACC_DIAG_GPANA_OUT    = 0b100001110001000
TX_ACC_DIAG_GPANA_IN     = 0b100001110001100
TX_ACC_DIAG_BIST_SL_DATA = 0b100001110010000
TX_ACC_DIAG_CAL_PAUSE    = 0b100001111110000
TX_ACC_DIAG_CAL_PAUSE    = 0b100001111110000
TX_ACC_DIAG_RST_DIAG     = 0b100001111110100
TX_ACC_DIAG_DCYA         = 0b100001111111000
TX_ACC_DIAG_ACYA         = 0b100001111111100

#defines for RDI power manage ment
AIOMR = 0x204
AIOSR = 0x208
rdi_mcu_map= [
    [1] , 
    [15],
    [0] ,
    [14],
]

rdi_rca_map = [
    [ 3, 5, 7 ],
    [ 9, 11, 13 ],
    [ 2, 4, 6 ],
    [ 8, 10, 12 ],
]

cdie_map = [
  {0x0400090C00000,0x0400091400000,0x0400091C00000,0x0400090400000},
  {0x0400092400000,0x0400092C00000,0x0400093400000,0x0400093C00000},
  {0x0400090800000,0x0400091000000,0x0400091800000,0x0400090000000},
  {0x0400092000000,0x0400092800000,0x0400093000000,0x0400093800000}
]

RDI_LINK_SUBCOUNT      = 6
TIMEOUT_DIAG_LINK_SIG_CTRL = 100000

AIB_RDI_PHY_RX_OFFSET_ADDR = (AIB_RDI_CDIE_PHY_SIZE * RDI_LINK_SUBCOUNT)

COMPUTE_DIE = 0
MCU_DIE_0   = 3  
MCU_DIE_1   = 4  
MCU_DIE_2   = 5  
MCU_DIE_3   = 6  
PCIE_DIE_0  = 1  
PCIE_DIE_1  = 2  
PCIE_DIE_2  = 7  
PCIE_DIE_3  = 8 
